# Uses of Class
java.util.Properties

Packages that use Properties
Package
Description
com.sun.tools.attach
Provides the API to attach to a Java virtual machine.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.security
Provides the classes and interfaces for the security framework.
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.naming
Provides the classes and interfaces for accessing naming services.
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.

- ## Uses of Properties in com.sun.tools.attach

  Methods in com.sun.tools.attach that return Properties
  Modifier and Type
  Method
  Description
  `abstract Properties`
  VirtualMachine.`getAgentProperties()`
  Returns the current agent properties in the target virtual machine.
  `abstract Properties`
  VirtualMachine.`getSystemProperties()`
  Returns the current system properties in the target virtual machine.
  Methods in com.sun.tools.attach with parameters of type Properties
  Modifier and Type
  Method
  Description
  `abstract void`
  VirtualMachine.`startManagementAgent(Properties agentProperties)`
  Starts the JMX management agent in the target virtual machine.

- ## Uses of Properties in java.awt

  Methods in java.awt with parameters of type Properties
  Modifier and Type
  Method
  Description
  `abstract PrintJob`
  Toolkit.`getPrintJob(Frame frame, String jobtitle, Properties props)`
  Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.

- ## Uses of Properties in java.lang

  Methods in java.lang that return Properties
  Modifier and Type
  Method
  Description
  `static Properties`
  System.`getProperties()`
  Determines the current system properties.
  Methods in java.lang with parameters of type Properties
  Modifier and Type
  Method
  Description
  `static void`
  System.`setProperties(Properties props)`
  Sets the system properties to the `Properties` argument.

- ## Uses of Properties in java.security

  Subclasses of Properties in java.security
  Modifier and Type
  Class
  Description
  `class`
  `AuthProvider`
  This class defines login and logout methods for a provider.
  `class`
  `Provider`
  This class represents a "provider" for the Java Security API, where a provider implements some or all parts of Java Security.

- ## Uses of Properties in java.sql

  Methods in java.sql that return Properties
  Modifier and Type
  Method
  Description
  `Properties`
  Connection.`getClientInfo()`
  Returns a list containing the name and current value of each client info property supported by the driver.
  Methods in java.sql with parameters of type Properties
  Modifier and Type
  Method
  Description
  `Connection`
  Driver.`connect(String url, Properties info)`
  Attempts to make a database connection to the given URL.
  `static Connection`
  DriverManager.`getConnection(String url, Properties info)`
  Attempts to establish a connection to the given database URL.
  `DriverPropertyInfo[]`
  Driver.`getPropertyInfo(String url, Properties info)`
  Gets information about the possible properties for this driver.
  `void`
  Connection.`setClientInfo(Properties properties)`
  Sets the value of the connection's client info properties.

- ## Uses of Properties in java.util

  Fields in java.util declared as Properties
  Modifier and Type
  Field
  Description
  `protected Properties`
  Properties.`defaults`
  A property list that contains default values for any keys not found in this property list.
  Constructors in java.util with parameters of type Properties
  Modifier
  Constructor
  Description
  ``
  `Properties(Properties defaults)`
  Creates an empty property list with the specified defaults.

- ## Uses of Properties in javax.naming

  Fields in javax.naming declared as Properties
  Modifier and Type
  Field
  Description
  `protected Properties`
  CompoundName.`mySyntax`
  Syntax properties for this compound name.
  Constructors in javax.naming with parameters of type Properties
  Modifier
  Constructor
  Description
  ``
  `CompoundName(String n, Properties syntax)`
  Constructs a new compound name instance by parsing the string n using the syntax specified by the syntax properties supplied.
  `protected`
  `CompoundName(Enumeration<String> comps, Properties syntax)`
  Constructs a new compound name instance using the components specified in comps and syntax.

- ## Uses of Properties in javax.xml.transform

  Methods in javax.xml.transform that return Properties
  Modifier and Type
  Method
  Description
  `Properties`
  Templates.`getOutputProperties()`
  Get the properties corresponding to the effective xsl:output element.
  `abstract Properties`
  Transformer.`getOutputProperties()`
  Get a copy of the output properties for the transformation.
  Methods in javax.xml.transform with parameters of type Properties
  Modifier and Type
  Method
  Description
  `abstract void`
  Transformer.`setOutputProperties(Properties oformat)`
  Set the output properties for the transformation.